@abstract
class_name SceneTriggerEffect extends Resource

### Guard是一个保护项，如果某个Trigger触发后但因为某些条件并不想被执行，可以使用guard进行保护
#@export var guards: Array[SceneGuard]

## 内部检测一下是不是可以Trigger，如果不可以就直接返回false
#func _can_trigger(args: Array) -> bool:
	#for g in guards:
		#if not g.check(args):
			#return false
	#
	#return true

func apply_effect(target:Object) -> bool:
	if not target:
		return false
	return true
